Q4API Docs
Q4 APISign inGet API key
DocumentationAPI Reference
Overview
API reference
Companies
GETList companiesGETRetrieve a companyGETList sectors
Market data
GETRetrieve a quoteGETList quotesGETRetrieve price historyGETRetrieve index historyGETRetrieve market summaryGETList market moversGETList sector performanceGETList tradesGETRetrieve order book depth
WebSocket
WSQuotes streamWSTrades streamWSDepth stream
Fundamentals
GETRetrieve standardised statementsGETRetrieve as-reported statementsGETList figuresGETRetrieve ratiosGETCompare companiesGETList dividendsGETList corporate actionsGETList stock eventsGETSearch notes
Documents
GETList documentsGETRetrieve a documentGETList document pagesGETRetrieve document textGETRetrieve document summaryGETList notesGETRetrieve a noteGETList sectionsGETRetrieve a sectionGETSearch board report sections
Earnings calls
GETList earnings callsGETRetrieve an earnings callGETRetrieve a transcriptGETRetrieve call audio
Announcements
GETList announcementsGETRetrieve an announcement
Economic data
GETList seriesGETList observations
Webhooks & alerts
POSTCreate a webhookGETList webhooksDELDelete a webhookPOSTCreate an alert ruleGETList alert rulesDELDelete an alert rule
Account
GETRetrieve usage
Economic data

List observations

GEThttps://api.q4.sa/v1/economic/series/{key}/observations
Returns a series’ values over time, optionally split by its dimensions.
Business+

Authorization

x-api-keyheaderrequired
Your API key. See Authentication.

Path parameters

keystringrequired
Series key from List series.

Query parameters

fromdate
Start date, inclusive (YYYY-MM-DD).
todate
End date, inclusive (YYYY-MM-DD).
dimensionsstring
Filter by dimension, e.g. region:riyadh.
limitinteger
Results per page.
Default: 500 · Range: 1–5000
cursorstring
The next_cursor from the previous page. Omit it for the first page.

Response

dataobject[]
The result.
periodstring
period_enddate
Last day of the period.
valuenumber
Value.
dimensionsobject
paginationobject
Paging details. See Pagination.
next_cursorstring
Pass as cursor to get the next page. null on the last page.
limitinteger
Page size used.

Errors

400, 401, 403, 404, 429. Every error has the same shape: see Errors.
← Previous
List series
Next →
Create a webhook
Request
curl "https://api.q4.sa/v1/economic/series/gastat.cpi.headline/observations?from=2026-01-01" \
  -H "x-api-key: $Q4_API_KEY"
Response
{
  "data": [
    {
      "period": "2026-09",
      "period_end": "2026-09-30",
      "value": 106.42,
      "dimensions": {
        "region": "national"
      }
    },
    {
      "period": "2026-08",
      "period_end": "2026-08-31",
      "value": 106.18,
      "dimensions": {
        "region": "national"
      }
    }
  ],
  "pagination": {
    "next_cursor": "eyJpZCI6MTIwfQ",
    "limit": 50
  }
}